Loading...
Searching...
No Matches
Handlers.h File Reference

A collection of various most popular signal handlers. More...

`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include "assa/EventHandler.h"`
`#include "assa/Assure.h"`

Go to the source code of this file.

## Classes

class | ASSA::SIGINTHandler
| SIGINTHandler handles SIGINT signal. More...
class | ASSA::SIGUSR1Handler
| Class SIGUSR1Handler. More...
class | ASSA::SIGUSR2Handler
| Class SIGUSR2Handler handles SIGUSR2 signal. More...
class | ASSA::SIGCHLDHandler
| Class SIGCHLDHandler handles SIGCHLD signal. More...
class | ASSA::SIGALRMHandler
| Class SIGALRMHandler handles SIGALRM signal. More...
class | ASSA::SIGPOLLHandler
| Class SIGPOLLHandler handles SIGPOLL signal. More...

## Namespaces

namespace | ASSA

## Macros

#define | ASSAIOSIG SIGPOLL

## Detailed Description

A collection of various most popular signal handlers.

Definition in file Handlers.h.

## Macro Definition Documentation

## ASSAIOSIG

#define ASSAIOSIG SIGPOLL

Definition at line 38 of file Handlers.h.

Referenced by ASSA::SIGPOLLHandler::handle_signal(), and ASSA::GenServer::init().